ios-chartsのビルドエラー - ios、swift、ios-frameworks、ios-charts

私はガイドに従った ここに ios-chartsフレームワークをインストールする埋め込まれたバイナリとガイドのステップ3は私にプロジェクトのビルドを指示します。埋め込みバイナリを追加した結果、即座にビルドが失敗します。私はフレームワークの最新バージョンをダウンロードしました。それは迅速な3と互換性があります。

私はXコード8ベータ版を使用していますので、迅速に対応しています。

ここに画像の説明を入力

回答:

回答№1は2
  1. ダウンロード プロジェクトのzipファイル

  2. それを構築する

  3. Xcodeで製品フォルダを見つけ、Charts製品を見つけてFinderに表示する
  4. xCodeでプロジェクトを開く
  5. xCodeのバンドル(ステップ3から)をプロジェクトにドラッグ&ドロップする
  6. プロジェクト設定を構成します:埋め込みバイナリでは "+"を使用してグラフを追加します

回答№2の場合は0

1)CocoaPodを使用する(doc: https://cocoapods.org

2)あなたのポッドファイルにグラフを追加する(doc: https://github.com/danielgindi/Charts

ポッド "チャート"をあなたのポッドファイルに追加してください。 "Charts"はライブラリの名前です。

レルムサポートの場合、次のようにPodfileのサブスペックを指定できます。

ポッド "チャート/レルム"

注:ポッド "ios-charts"は正しいライブラリではなく、他の人が別のプロジェクトを参照しています。


回答№3の場合は-1

Swift 3の場合は、CocoaPodsを使うべきです。

書きます pod "Charts/Realm" これは、チャート用の正確なポッドバージョンをインストールしてから、きれいにしてビルドします。


関連する質問
メニュー
最も人気のある